Package ghidra.app.decompiler

# Class ClangReturnType

java.lang.Object
ghidra.app.decompiler.ClangTokenGroup
ghidra.app.decompiler.ClangReturnType

All Implemented Interfaces:
  `ClangNode`, `Iterable<ClangNode>`

public class ClangReturnType extends ClangTokenGroup
A grouping of source code tokens representing the "return type" of a function, as at the beginning of a function prototype.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangReturnType(ClangNode par)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, PcodeFactory pfactory)`
  Decode this text from an encoded stream.
  `DataType`
  `getDataType()`
  `Varnode`
  `getVarnode()`

  ### Methods inherited from class ghidra.app.decompiler.ClangTokenGroup

  `AddTokenGroup, Child, flatten, getClangFunction, getMaxAddress, getMinAddress, iterator, numChildren, Parent, setHighlight, stream, tokenIterator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ClangReturnType

    public ClangReturnType(ClangNode par)

- ## Method Details

  - ### getDataType

    public DataType getDataType()
    Returns:
      the data-type represented by this text

  - ### getVarnode

    public Varnode getVarnode()
    Returns:
      a Varnode representing the return value in the function's data-flow

  - ### decode

    public void decode(Decoder decoder, PcodeFactory pfactory) throws DecoderException
    Description copied from class: `ClangTokenGroup`
    Decode this text from an encoded stream.
    Overrides:
      `decode` in class `ClangTokenGroup`
    Parameters:
      `decoder` - is the decoder for the stream
      `pfactory` - is used to look up p-code attributes to associate with tokens
    Throws:
      `DecoderException` - for problems decoding the stream